- 积分
- 165
- 明经币
- 个
- 注册时间
- 2012-8-16
- 在线时间
- 小时
- 威望
-
- 金钱
- 个
- 贡献
-
- 激情
-
|
using Autodesk.AutoCAD.ApplicationServices;
using Autodesk.AutoCAD.Colors;
using Autodesk.AutoCAD.DatabaseServices;
using Autodesk.AutoCAD.Geometry;
using Autodesk.AutoCAD.Runtime;
using System;
class ModelSpace
{
public static ObjectId AddLeader(Point3dCollection pts, bool splBool) //由三维点集合创建引线标注的函数.
{
Leader ent = new Leader();
ent.IsSplined = splBool;
for (int i = 0; i < pts.Count; i++)
{
ent.AppendVertex(pts[i]);
ent.SetVertexAt(i, pts[i]);
}
ObjectId entId = AppendEntity(ent);
return entId;
}
}
建立上面的函数后,错误列表总提示:
错误 “Autodesk.AutoCAD.Geometry.Point3dCollection”不包含“Count”的定义,并且找不到可接受类型为“Autodesk.AutoCAD.Geometry.Point3dCollection”的第一个参数的扩展方法“Count”(是否缺少 using 指令或程序集引用?)
我有使用到该函数,运行的时候错误列表却可以自动清空。对上面函数的使用: // 引线---------------------------------------------------- Point3dCollection pts_x_1 = new Point3dCollection(); pts_x_1.Add(new Point3d(48.8731, 64.5189, 0)); pts_x_1.Add(new Point3d(57.4477, 59.5999, 0)); pts_x_1.Add(new Point3d(69.406, 59.5999, 0)); ModelSpace.AddLeader(pts_x_1, false);该段程序却可以执行,这是为什么?
|
|